Passer au contenu principal
GET
/
automation
/
2026-09-beta
/
flows
/
{flowId}
/
revisions
/
{revisionId}
Retrieve revision
curl --request GET \
  --url https://api.hubapi.com/automation/2026-09-beta/flows/{flowId}/revisions/{revisionId} \
  --header 'Authorization: Bearer <token>'
{
  "flow": {
    "type": "CONTACT_FLOW",
    "id": "<string>",
    "isEnabled": true,
    "flowType": "WORKFLOW",
    "revisionId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "nextAvailableActionId": "<string>",
    "actions": [
      {
        "actionId": "<string>",
        "inputValue": {
          "actionId": "<string>",
          "dataKey": "<string>",
          "type": "FIELD_DATA"
        },
        "staticBranches": [
          {
            "branchValue": "<string>",
            "connection": {
              "edgeType": "GOTO",
              "nextActionId": "<string>"
            }
          }
        ],
        "type": "STATIC_BRANCH",
        "defaultBranch": {
          "edgeType": "GOTO",
          "nextActionId": "<string>"
        },
        "defaultBranchName": "<string>"
      }
    ],
    "timeWindows": [
      {
        "day": "FRIDAY",
        "endTime": {
          "hour": 123,
          "minute": 123
        },
        "startTime": {
          "hour": 123,
          "minute": 123
        }
      }
    ],
    "blockedDates": [
      {
        "dayOfMonth": 123,
        "month": "APRIL",
        "year": 123
      }
    ],
    "customProperties": {},
    "dataSources": [
      {
        "associationCategory": "HUBSPOT_DEFINED",
        "associationTypeId": 123,
        "name": "<string>",
        "objectTypeId": "<string>",
        "type": "ASSOCIATION",
        "sortBy": {
          "order": "ASC",
          "property": "<string>",
          "missing": "<string>"
        }
      }
    ],
    "crmObjectCreationStatus": "PENDING",
    "suppressionListIds": [
      123
    ],
    "canEnrollFromSalesforce": true,
    "objectTypeId": "<string>",
    "name": "<string>",
    "description": "<string>",
    "uuid": "<string>",
    "startActionId": "<string>",
    "enrollmentCriteria": {
      "listFilterBranch": {
        "filterBranchOperator": "<string>",
        "filterBranchType": "OR",
        "filterBranches": [
          {
            "filterBranchOperator": "<string>",
            "filterBranchType": "AND",
            "filterBranches": "<array>",
            "filters": [
              "<unknown>"
            ]
          }
        ],
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      },
      "reEnrollmentTriggersFilterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": "<unknown>",
              "property": "<string>"
            }
          ]
        }
      ],
      "shouldReEnroll": true,
      "type": "LIST_BASED",
      "unEnrollObjectsNotMeetingCriteria": true
    },
    "enrollmentSchedule": {
      "timeOfDay": {
        "hour": 123,
        "minute": 123
      },
      "type": "DAILY"
    },
    "goalFilterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": "<unknown>",
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": {
            "includeObjectsWithNoValueSet": true,
            "operationType": "BOOL",
            "operator": "<string>",
            "value": true
          },
          "property": "<string>"
        }
      ]
    },
    "eventAnchor": {
      "contactProperty": "<string>",
      "type": "CONTACT_PROPERTY_ANCHOR"
    },
    "unEnrollmentSetting": {
      "flowIds": [
        "<string>"
      ],
      "type": "ALL"
    }
  },
  "id": "<string>",
  "revisionCreatedAt": "2023-11-07T05:31:56Z",
  "revisionId": "<string>"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

flowId
string
requis

The unique identifier of the automation flow.

revisionId
string
requis

The unique identifier of the specific revision of the flow.

Réponse

successful operation

flow
object
requis

The flow at this revision level

id
string
requis

The flow's ID

revisionCreatedAt
string<date-time>
requis

The timestamp this revision was created.

revisionId
string
requis

The revision of this flow

Last modified on April 2, 2026